Bug 1476289 - atril does not render correctly in HiDPI
atril does not render correctly in HiDPI
Status: NEW
Product: Fedora
Classification: Fedora
Component: atril (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 10:03 EDT by Didier
Modified: 2017-12-12 06:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:19:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier 2017-07-28 10:03:45 EDT
Description of problem:

Due to bad scaling on HiDPI screens, atril blurs text and images, resulting in a fuzzy, often unreadable document.


In evince, documents are correctly displayed.


To reproduce on HiDPI screens (with GNOME Window scaling set to "2") :
$ atril test.pdf

To reproduce on non-HiDPI screens :
$ GDK_SCALE=2 atril test.pdf

To circumvent on HiDPI screens :
$ GDK_SCALE=1 atril test.pdf


Additional info:

* evince :
https://bugzilla.gnome.org/show_bug.cgi?id=723431 (Bug 723431 - Evince does not render document text in hiDPI)

* poppler reference :
https://github.com/pdfpc/pdfpc/issues/149#issuecomment-253324539 (Bad aliasing of slides #149)
Comment 1 Didier 2017-07-28 10:10:37 EDT
atril 1.18.0-1.fc26
poppler 0.52.0-4.fc26
Comment 2 Fedora End Of Life 2017-11-16 13:32:20 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:19:29 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Didier 2017-12-12 06:15:36 EST
Issue was reported against F26 packages (cfr. comment#1).

Note You need to log in before you can comment on or make changes to this bug.